Get component by ID
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/components/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/components/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/components/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "<string>",
"componentId": "<string>",
"type": "chat",
"name": "<string>",
"organization": "<string>",
"config": {},
"status": "active",
"usage": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}Components
Get component by ID
GET
/
api
/
v1
/
components
/
{id}
Get component by ID
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/components/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/components/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/components/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "<string>",
"componentId": "<string>",
"type": "chat",
"name": "<string>",
"organization": "<string>",
"config": {},
"status": "active",
"usage": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}Authorizations
API Key for server-to-server authentication. Resolves to the owning organization.
Path Parameters
Component ID
Response
Component retrieved successfully
Component ID (MongoDB ObjectId)
Unique component identifier
Component type
Available options:
chat, data_analyst, flashcards, scenarios, practice_test, audio_recap, tutor_me, explainers, uploads, chat_analytics Component name
Organization ID
Component configuration
Component status
Available options:
active, inactive, draft Usage statistics
Creation timestamp
Last update timestamp
Component description
Was this page helpful?